Bug 1041337 - The default build target extracts armv7hnl-32 dependencies on ARM
Summary: The default build target extracts armv7hnl-32 dependencies on ARM
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2013-12-12 15:12 UTC by Nicolas Chauvet (kwizart)
Modified: 2015-06-30 00:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:46:19 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2013-12-12 15:12:59 UTC
Description of problem:
Using rpmbuild -ba any.spec with the default target produce (armv7hnl-32) instead of (armv7hl-32) style at the build requires and dependency extraction steps.



Version-Release number of selected component (if applicable):
rpm-4.11.1-7.fc20.armv7hl

How reproducible:
always with the default rpmbuild (without using setarch or mock, etc)

Steps to Reproduce:
1. rpmbuild -ba any.spec 
2.
3.

Actual results:
...
Provides: libdvbpsi = 1.1.2-1.fc20 libdvbpsi(armv7hnl-32) = 1.1.2-1.fc20 libdvbpsi.so.9
...

Expected results:
..
Provides: libdvbpsi = 1.1.2-1.fc20 libdvbpsi(armv7hl-32) = 1.1.2-1.fc20 libdvbpsi.so.9
...

Additional info:
During the build, the rights ./configure options and the right cflags are used. 
This only occurs with the Buildrequires and dependencies extraction scripts.

It's possible to workaround the problem by using rpmbuild with --target=armv7hl

This problem doesn't occurs with koji. Despite I wasn't able to test if any package was built explicitly with (armv7hnl-32) whereas not expected to.

Comment 1 Nicolas Chauvet (kwizart) 2013-12-12 15:14:19 UTC
Additional info:
The redhat-rpm-config package is installed.

Comment 2 Panu Matilainen 2014-07-08 11:51:44 UTC
FWIW the actual issue is not specific to arm, its a generic issue of macros not getting reloaded after an implicit buildarch change via buildarchtranslate, eg

buildarchtranslate: armv7hl: armv7hl
buildarchtranslate: armv7hnl: armv7hl

Comment 3 Nicolas Chauvet (kwizart) 2014-07-08 12:50:41 UTC
Hello, and thx for your answear.

I'm not sure I understand the answear, (note that this issue predate the issue with neon detection method in recent rpm).

Basically rpmbuild --rebuild *.src.rpm outputs armv7hnl rpm by default (on hardware when neon is available). Whereas I would like it to default to non-neon packages.

Currently this might be handled explicitly at the infrastructure level (koji).
But maybe that's a tweak that should be done within redhat-rpm-config ?

As I expect, most GNU/Linux distro might generate armhfp binaries that doesn't implicitly requires neon. That's why I think this should be a rpm default.

Comment 4 Panu Matilainen 2014-07-08 12:57:00 UTC
The point is that as configured, rpm is *supposed* to default to creating armv7hl binaries whether neon is present or not. And it kinda does in fact, but with (partially) incorrect macros loaded. Which causes stuff like mismatching %{_isa}.

Its a bug in rpm, ages old at that.

Comment 5 Panu Matilainen 2014-07-08 12:59:12 UTC
(In reply to Panu Matilainen from comment #4) 
> Its a bug in rpm, ages old at that.

...and as mentioned in comment #2, the underlying issue is not arm specific in any way.

Comment 6 Fedora End Of Life 2015-05-29 09:58:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-30 00:46:19 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.